<?php
require('../conexion.php');

$salida = "";
$query="SELECT A.id 'ID', A.prp_cantidad 'CANTIDAD', A.prp_fecha 'FECHA' FROM propina A LIMIT 10";
$aux=0;
if(isset($_POST['consulta'])){
    $q=$_POST['consulta'];
    $query="SELECT A.id 'ID', A.prp_cantidad 'CANTIDAD', A.prp_fecha 'FECHA' FROM propina A WHERE prp_fecha LIKE '".$q."%' LIMIT 10;";
}

$resultado = query($query);

if($resultado->num_rows > 0){
    $salida.="<table class='table' name='tabla_usuario' id='tabla_usuario'>
    <thead style='background: #D5D8DC;'>
        <tr>
            <th class='align-middle text-center' scope='col'>ID</th>
            <th class='align-middle text-center' scope='col'>Cantidad</th>
            <th class='align-middle text-center' scope='col'>Fecha</th>
        </tr>
    </thead>
    <tbody>";
    while($fila = mysqli_fetch_assoc($resultado)){
        $salida.="<tr>
            <td class='align-middle text-center'>".$fila['ID']."</td>
            <td class='align-middle text-center'>".$fila['CANTIDAD']."</td>
            <td class='align-middle text-center'>".$fila['FECHA']."</td>
        </tr>";
        $aux+=1;
    }"
    </tbody>
    </table>";
}else{
    $salida = "No hay resultados ";
}
echo $salida;
?>